summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorallen <allen@17b73243-c579-4c4c-a9d2-2d5706c11dac>1999-06-29 14:17:55 +0000
committerallen <allen@17b73243-c579-4c4c-a9d2-2d5706c11dac>1999-06-29 14:17:55 +0000
commit153d93b0f564c8c432e1dc214dfc964cf91e125f (patch)
treee3ef3cbbad55387d55aa7955ba163e7929120c74
parentd9309b5c94705b769a7398e309986bb41b784817 (diff)
New names:
declare_parameters.h -> cctk_parameters.h declare_arguments.h -> cctk_arguments.h DECLARE_PARAMETERS -> DECLARE_CCTK_PARAMETERS Thorn changes in CactusBase and CactusEinstein will be commited now. git-svn-id: http://svn.cactuscode.org/flesh/trunk@604 17b73243-c579-4c4c-a9d2-2d5706c11dac
-rw-r--r--lib/sbin/CST6
-rw-r--r--lib/sbin/GridFuncStuff.pl4
-rw-r--r--lib/sbin/create_fortran_stuff.pl2
-rw-r--r--lib/sbin/schedule_parser.pl14
4 files changed, 13 insertions, 13 deletions
diff --git a/lib/sbin/CST b/lib/sbin/CST
index eca85aa7..8bb157e0 100644
--- a/lib/sbin/CST
+++ b/lib/sbin/CST
@@ -6,7 +6,7 @@
# @desc
# Parses the the configuration files for thorns.
# @enddesc
-# @version $Header: /mnt/data2/cvs2svn/cvs-repositories/Cactus/lib/sbin/CST,v 1.15 1999-06-25 12:25:36 goodale Exp $
+# @version $Header: /mnt/data2/cvs2svn/cvs-repositories/Cactus/lib/sbin/CST,v 1.16 1999-06-29 14:17:54 allen Exp $
#@@*/
# Global parameter to track the number of errors from the CST
@@ -919,7 +919,7 @@ EOT
}
}
- print OUT "#define DECLARE_PARAMETERS \\\n";
+ print OUT "#define DECLARE_CCTK_PARAMETERS \\\n";
$decl = "DECLARE_PUBLIC_PARAMETER_STRUCT_PARAMS";
if($header_files{"PUBLIC"})
@@ -985,7 +985,7 @@ EOT
close OUT;
- open(OUT, ">declare_parameters.h") || die "Cannot open declare_parameters.h";
+ open(OUT, ">cctk_parameters.h") || die "Cannot open cctk_parameters.h";
print OUT "#ifdef CCODE\n";
print OUT "#include \"CParameters.h\"\n";
diff --git a/lib/sbin/GridFuncStuff.pl b/lib/sbin/GridFuncStuff.pl
index 2d8fc829..19bc8c2a 100644
--- a/lib/sbin/GridFuncStuff.pl
+++ b/lib/sbin/GridFuncStuff.pl
@@ -61,7 +61,7 @@ sub CreateVariableBindings
close OUT;
}
- open(OUT, ">declare_arguments.h");
+ open(OUT, ">cctk_arguments.h");
foreach $thorn (split(" ",$interface_database{"THORNS"}))
{
@@ -863,7 +863,7 @@ sub CreateThornArgumentHeaderFile
# Dummy C declarations
- push(@returndata, "#define \U$thorn"."_CARGUMENTS cGH *GH ");
+ push(@returndata, "#define \U$thorn"."_CARGUMENTS cGH *cctkGH ");
push(@returndata, "#define \UDECLARE_$thorn"."_CARGUMENTS ");
diff --git a/lib/sbin/create_fortran_stuff.pl b/lib/sbin/create_fortran_stuff.pl
index ea4d7742..c3595d78 100644
--- a/lib/sbin/create_fortran_stuff.pl
+++ b/lib/sbin/create_fortran_stuff.pl
@@ -25,7 +25,7 @@ sub CreateFortranThornParameterBindings
%parameter_database = @rest[0..(2*$n_param_database)-1];
%interface_database = @rest[2*$n_param_database..$#rest];
- push(@file, "#define DECLARE_PARAMETERS \\");
+ push(@file, "#define DECLARE_CCTK_PARAMETERS \\");
# Generate all public parameters
%these_parameters = &get_public_parameters(%parameter_database);
diff --git a/lib/sbin/schedule_parser.pl b/lib/sbin/schedule_parser.pl
index 51ef67af..a96a9fdc 100644
--- a/lib/sbin/schedule_parser.pl
+++ b/lib/sbin/schedule_parser.pl
@@ -102,12 +102,12 @@ sub write_rfr_header {
$header .= "#include \"Groups.h\"\n";
$header .= "#include \"GroupsOnGH.h\"\n";
$header .= "#include \"rfr_constants.h\"\n";
- $header .= "#include \"declare_parameters.h\"\n";
- $header .= "#include \"declare_arguments.h\"\n";
+ $header .= "#include \"cctk_parameters.h\"\n";
+ $header .= "#include \"cctk_arguments.h\"\n";
$header .= "\n";
$header .= "void $routine (cGH *GH)\n";
$header .= "{\n";
- $header .= " DECLARE_PARAMETERS\n";
+ $header .= " DECLARE_CCTK_PARAMETERS\n";
$header .= " int index;\n\n";
$header .= "\n";
@@ -124,11 +124,11 @@ sub write_startup_header {
print OUTSTART "#include \"cctk.h\"\n";
print OUTSTART "#include \"flesh.h\"\n";
print OUTSTART "#include \"rfr_constants.h\"\n";
- print OUTSTART "#include \"declare_parameters.h\"\n";
+ print OUTSTART "#include \"cctk_parameters.h\"\n";
print OUTSTART "\n";
print OUTSTART "void $routine ()\n";
print OUTSTART "{\n";
- print OUTSTART " DECLARE_PARAMETERS\n";
+ print OUTSTART " DECLARE_CCTK_PARAMETERS\n";
print OUTSTART "\n";
@@ -622,7 +622,7 @@ sub fortran_wrapper {
#include \"flesh.h\"
#include \"Groups.h\"
#include \"Comm.h\"
-#include \"declare_arguments.h\"
+#include \"cctk_arguments.h\"
void FORTRAN_NAME($routine)($THORN_C2F_PROTO);
@@ -636,7 +636,7 @@ sub fortran_wrapper {
printf(\"Calling \%s from rfr wrapper\\n\");
#endif
- FORTRAN_NAME($routine)(PASS_$THORN_C2F(GH));
+ FORTRAN_NAME($routine)(PASS_$THORN_C2F(cctkGH));
}
EOT